#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA3,0x8D,0x29,0xE5,0xAC,0x56,0xE5,0xA5,0x8F,0xA8,0xC9,0x9C,
		0x6F,0x64,0x6D,0xFA,0xFD,0xB6,0x57,0x0B,0x65,0xB6,0xAF,0x94,
		0xF9,0x37,0xDC,0xA8,0xFE,0x6B,0x2B,0xC7,0x2C,0x5C,0x6A,0xDB,
		0x00,0x22,0x9C,0xBF,0x43,0xAA,0xCC,0x20,0x50,0x84,0x4D,0xE5,
		0xDB,0x45,0x76,0xF4,0x1B,0xB0,0xE1,0xDC,0x5A,0xA7,0x70,0x1C,
		0xC8,0xAB,0x9A,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
